using System;
using System.Linq;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

using Razen2.Server.Models.Radzen2;

namespace Razen2.Server.Data
{
    public partial class Radzen2Context : DbContext
    {
        public Radzen2Context()
        {
        }

        public Radzen2Context(DbContextOptions<Radzen2Context> options) : base(options)
        {
        }

        partial void OnModelBuilding(ModelBuilder builder);

        protected override void OnModelCreating(ModelBuilder builder)
        {
            base.OnModelCreating(builder);
            this.OnModelBuilding(builder);
        }

        public DbSet<Razen2.Server.Models.Radzen2.Project> Projects { get; set; }
    }
}