using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text.Json;
using System.Text.Json.Serialization;

namespace Razen2.Server.Models.Radzen2
{
    [Table("Projects", Schema = "dbo")]
    public partial class Project
    {
        [Key]
        [Required]
        public Guid Id { get; set; }

        public Guid? TenantId { get; set; }

        [Required]
        public string Name { get; set; }

        [Required]
        public bool Active { get; set; }

        [Required]
        public int Sort { get; set; }

    }
}